<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>wagon - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="command.html">command</a></li><li><a href="ozon.html">ozon</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ozon.html#.ozonForward">ozonForward</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonTurn">ozonTurn</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonLight">ozonLight</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonStop">ozonStop</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonWhere">ozonWhere</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonMove">ozonMove</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonCommand">ozonCommand</a></li></ul></li><li><a href="getParameters.html">getParameters</a></li><li><a href="room.html">room</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="room.html#.coverSet">coverSet</a></li><li data-type='method' style='display: none;'><a href="room.html#.doorSet">doorSet</a></li><li data-type='method' style='display: none;'><a href="room.html#.gateSet">gateSet</a></li></ul></li><li><a href="rpi.html">rpi</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="rpi.html#.rpiAngularCommand">rpiAngularCommand</a></li><li data-type='method' style='display: none;'><a href="rpi.html#.rpiContinuousCommand">rpiContinuousCommand</a></li></ul></li><li><a href="scene.html">scene</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="scene.html#.getView">getView</a></li><li data-type='method' style='display: none;'><a href="scene.html#.setViewShift">setViewShift</a></li><li data-type='method' style='display: none;'><a href="scene.html#.getScene">getScene</a></li></ul></li><li><a href="wagon.html">wagon</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="wagon.html#.wagonShift">wagonShift</a></li><li data-type='method' style='display: none;'><a href="wagon.html#.wagonRoom">wagonRoom</a></li></ul></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">wagon</h1>
    

    




<section>

<header>
    
        <h2>
        
            wagon
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="wagon"><span class="type-signature"></span>factory wagon<span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Specifies the wagon command high-level functions.</p>
<ul>
<li>These functions are accessible via the <code>tabletop::</code> prefix.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
        </div>
    

    

    

    
    
    

     

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id=".wagonShift"><span class="type-signature type-signature-static">(static) </span>wagonShift<span class="signature">(distance)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Moves the wagon a given distance in camera pixel.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>distance</code></td>
            

            <td class="type">
            
                
<span class="param-type">int</span>



            
            </td>

            

            

            <td class="description last"><p>The displacement distance in pixel.</p></td>
        </tr>

    
    </tbody>
</table>



















        
            

    

    <h4 class="name" id=".wagonRoom"><span class="type-signature type-signature-static">(static) </span>wagonRoom<span class="signature">(distance, loop<span class="signature-attributes">opt</span>)</span><span class="type-signature"> &rarr; {bool}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Moves the wagon to ta given tabletob room location.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        
        <th>Attributes</th>
        

        
        <th>Default</th>
        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>distance</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last"><p>The room index 1,2,3,4.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>loop</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>1</code>
                
                </td>
            

            <td class="description last"><p>The maximal number of iteration.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>True if the mechanism succeed, false if it failed.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">bool</span>



    </dd>
</dl>

    



        
    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>